-- シミュレーションの設定ファイル
-- Satofumi KAMIMURA
-- $Id: simulation_settings.lua 1566 2009-12-06 07:44:36Z satofumi $

-- 利用デバイスの初期化
DeviceManager():createDevice("/dev/ttyUSB0", "BeegoDrive", "run")
DeviceManager():createDevice("/dev/ttyACM0", "UrgDevice", "urg")

-- デバイスを作成
DeviceManager():device("run"):activate()
DeviceManager():device("urg"):activate()

-- デバイス位置を設定
local run = DeviceManager():model("run")
run:setPosition(Position(0, 0, deg(5)), nil, false)

local urg = DeviceManager():model("urg")
urg:setPosition3d(Point3d(70, 0, 100), 0.0, 0.0, 1.0, deg(0), run, true)

-- 障害物を配置
require('environment')
